{% extends 'base.html.twig' %}

{% block title %}Panier{% endblock %}

{% block content %}
        <div class="pointer-events-auto w-full h-full">
          <div class="flex h-full flex-col bg-white shadow-xl">
            <div class="flex-1 overflow-y-auto px-4 py-6 sm:px-6">
              <div class="flex items-start justify-between">
                <h2 class="text-lg font-medium text-gray-900" id="slide-over-title">Shopping cart</h2>
              </div>

            <div class="mt-8">
                <div class="flow-root">
                  <ul role="list" class="-my-6 divide-y divide-gray-200">
                    {% for product in products %}
                        <li class="flex py-6">
                        <div class="h-24 w-24 flex-shrink-0 overflow-hidden rounded-md border border-gray-200">
                            <img src="{{ product.image }}" alt="Salmon orange fabric pouch with match zipper, gray zipper pull, and adjustable hip belt." class="h-full w-full object-cover object-center">
                        </div>

                        <div class="ml-4 flex flex-1 flex-col">
                            <div>
                            <div class="flex justify-between text-base font-medium text-gray-900">
                                <h3>
                                <a href="#">{{ product.name }}</a>
                                </h3>
                                <p class="ml-4">{{ product.price }}</p>
                            </div>
                            <p class="mt-1 text-sm text-gray-500">{{ product.description }}</p>
                            </div>
                            <div class="flex flex-1 items-end justify-between text-sm">
                            <p class="text-gray-500">Qty 1</p>

                            <div class="flex">
                                <a href="{{ route('shop_delete', {'id' : product.id}) }}" class="font-medium text-indigo-600 hover:text-indigo-500">Supprimer</a>
                            </div>
                            </div>
                        </div>
                        </li>
                    {% endfor %}
                  </ul>
                </div>
              </div>
            </div>

            <div class="w-full border-t border-gray-200 bg-gray-200 px-4 py-6 sm:px-6 fixed bottom-0">
              <div class="flex justify-between text-base font-medium text-gray-900">
                <p>Subtotal</p>
                <p>{{ total }} €</p>
              </div>
              <p class="mt-0.5 text-sm text-gray-500">Shipping and taxes calculated at checkout.</p>
            </div>
          </div>

{% endblock %}